{
  "extends": "../../tsconfig.base.json",
  "compilerOptions": {
    "target": "es2017",
    "module": "commonjs",
    "lib": ["es2022", "dom"],
    "moduleResolution": "node",
    "emitDecoratorMetadata": true,
    "experimentalDecorators": true,
    "noEmit": false,
    "declaration": true,
    "declarationMap": true,
    "removeComments": true,
    "sourceMap": true,
    "outDir": "./dist",
    "incremental": true,
    "baseUrl": ".",
    "types": ["node", "express", "vitest/globals"],
    "paths": {
      "@/*": ["./*"],
      "@core/*": ["../../core/*"],
      "@adapters/*": ["../../adapters/*"],
      "@testing/*": ["../../testing/*"]
    }
  },
  "include": ["src/**/*", "../../adapters/bootstrap/EnsureInitialData.ts"],
  "exclude": ["node_modules", "dist", "**/*.mock.ts"]
}
